Neplatné podpisové klíče během aktualizace systému

Posted by

V současné době existují některé podpisové klíče pro balíčky Arch, které jsou při aktualizaci detekovány jako neplatné (vypršela platnost, byly staženy atd.). To způsobí, že aktualizace systému pomocí Pacmana selže.

error: <package>: signature from "Someone <mail.of.someone>" is marginal trust
:: File /var/cache/pacman/pkg/<package_name_version>_x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 

Je třeba nejprve aktualizovat podpisové klíče a potom systém.

sudo pacman -Sy archlinux-keys
sudo pacman -Syu

Leave a Reply

Vaše e-mailová adresa nebude zveřejněna.

Tato stránka používá Akismet k omezení spamu. Podívejte se, jak vaše data z komentářů zpracováváme..